Home Forums Plugin Support WP User Frontend Pro Update Search Error…

This topic is: not resolved

This topic contains 3 replies, has 3 voices, and was last updated by  Richard 3 years, 10 months ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #54104

    Jason
    Member
    Post count: 1

    I'm receiving the following error when I go to “plugins.php” and “update-core.php” (basically the Plugins and Update sections) in the WordPress admin. If I comment out the specified line, I'm able to access both areas without a problem.

    Warning: array_search() expects parameter 2 to be array, object given in /home/acmeadmin2/public_html/assets/plugins/wp-user-frontend-pro/wpuf.php on line 396

    Fatal error: Cannot use object of type stdClass as array in /home/acmeadmin2/public_html/assets/plugins/wp-user-frontend-pro/wpuf.php on line 396

    I'm thinking this is coming about because you needed to fix the update issues between your system and the WordPress Repository as that line has to do with searching for updates for the plugin.

    #54195

    towhid
    Participant
    Post count: 4505

    Hello Jason,

    You did not mention which line you have commented out. Is it necessary to comment out specified line?

    Thanks

    #54197

    Jason
    Member
    Post count: 1

    shoot… sorry. it's this line:

    unset( $plugins->active[ array_search( $basename, $plugins->active ) ] );

    that's the code on line 396. i think it may be part of the fix for when WordPress messed up the repository updates.

    #54843

    Richard
    Member
    Post count: 1

    I'm having the exact same problem!

    Did the reinstall of the plugin after the repository messup!
    Works if I de-activate the plugin and then activate it.. works for sometime and then it comes back!

Viewing 4 posts - 1 through 4 (of 4 total)

The topic ‘Update Search Error…’ is closed to new replies.